Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have read that uget with aria2 plugin enabled is the best downloader. So I tried.

I downloaded uget from the Ubuntu Software Center and also installed aria2 from the terminal.

Then I opened uget and opened Settings > Plugin section and activated "Enable aria2 plugin". My arguments read: --enable-rpc=true -D --check-certificate=false

Then when I clicked OK, it replied:

Failed to connect to aria2.

Is aria2 shutdown? Or did the aria2 launch fail?

I also tried some commands from web:

roshan@roshan-Aspire-4736Z:~$ aria2c --enable-rpc=true --check-certificate=false --disable-ipv6

2013-09-07 09:42:08.483317 ERROR - IPv4 RPC: failed to bind port 6800
Exception: [SocketCore.cc:308] errorCode=1 Failed to bind a socket, cause: Address already in use

2013-09-07 09:42:08.483629 ERROR - Exception caught
Exception: [DownloadEngineFactory.cc:181] errorCode=1 Failed to setup RPC server

Then I opened YouTube and tried to download a video. It won't download and at the bottom there was this message:

Message: aria2.getVersion result error

Please help me with this. I really need t have Aria2 plugin working. Thank you.

share|improve this question

4 Answers 4

" i downloaded uget from ubuntu software center and..."

There is your problem. Canonical seems to hate uGet...no idea why but Ubuntu never has an updated version. The USC has version 1.8.2 and the current version is 1.10.3

Go to the official uGet site at http://uGetdm.com and download a DEB file for the Ubuntu version you use or install the PPA.

Uninstall the USC version first...to ensure proper install of the current version.

share|improve this answer
    
@ Michael :i removed my existing uget and installed latest version for 12.04 lts version . But still it says : Failed to connect to aria2. Is aria2 shutdown? or aria2 launch failed. –  ROshan Sep 7 '13 at 4:22
    
think i have to wait for uget2 version. feeling sad.. –  ROshan Sep 7 '13 at 4:25
    
I don't see why you would have to wait. uGet2 isn't need to make the plugin work. I no longer use Ubuntu myself but I used to and have tested uGet on every version and it works fine. - please go to the official Forum for further support as I might forget to check this site. ugetdm.com/forum - in the forum post please provide the exact error you are receiving now and how you installed 1.10.3 (ppa or deb file) –  Michael Tunnell Sep 7 '13 at 8:23
    
@Braiam why did you remove my mention of being a team member? I am on the uGet project team. –  Michael Tunnell Jan 13 at 9:45
    
Check this. meta.stackexchange.com/q/5029/213575 I should have removed more, but I will leave it to you. –  Braiam Jan 13 at 12:13

Type this command in terminal:

aria2c --daemon --enable-rpc=true

for more detail go to this link.

share|improve this answer

My solution to exact same issue was this:

In UGet settings under plug-in tab change argument to this: --enable-rpc=true

Then restart Uget and aria2 should be working. Uget version I use is 1.10.3.

Screnshot UGet settings for aria2

share|improve this answer

The error message Address already in use is telling you that localhost:6800 is occupied by some other programs. You have 2 options to solve it:
1. Find out the program which is occupying localhost:6800, change its port;
2. Change aria2's port, e.g. 6801.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.